### Property

# Gtk Application:register-session

#### Declaration

    property register-session: gboolean [ read, write ]

#### Description [src]

Set this property to `TRUE` to register with the session manager.

This will make GTK track the session state (such as the `GtkApplication:screensaver-active` property).

Type: | `gboolean`

Default value | FALSE

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no